diff -cr cvs/src/timezone/tznames/Africa.txt cvs.build/src/timezone/tznames/Africa.txt
*** cvs/src/timezone/tznames/Africa.txt	2006-07-25 15:49:21.000000000 +0200
--- cvs.build/src/timezone/tznames/Africa.txt	2009-05-10 22:44:10.000000000 +0200
***************
*** 161,166 ****
--- 161,172 ----
                   #     (Africa/Niamey)
                   #     (Africa/Porto-Novo)
                   #     (Africa/Windhoek)
+ WEST     3600 D  # Western Europe Summer Time
+                  #     (Africa/Casablanca)
+                  #     (Atlantic/Canary)
+                  #     (Atlantic/Faeroe)
+                  #     (Atlantic/Madeira)
+                  #     (Europe/Lisbon)
  WET         0    # Western Europe Time
                   #     (Africa/Casablanca)
                   #     (Africa/El_Aaiun)
diff -cr cvs/src/timezone/tznames/Asia.txt cvs.build/src/timezone/tznames/Asia.txt
*** cvs/src/timezone/tznames/Asia.txt	2006-12-15 17:54:43.000000000 +0100
--- cvs.build/src/timezone/tznames/Asia.txt	2009-05-10 23:07:44.000000000 +0200
***************
*** 138,147 ****
--- 138,152 ----
                   #     (Asia/Phnom_Penh)
                   #     (Asia/Saigon)
                   #     (Asia/Vientiane)
+ IDT     10800 D  # Israel Daylight Time
+ IRDT    16200 D  # Iran Daylight Time
+                  #     (Asia/Tehran)
  IRKST   32400 D  # Irkutsk Summer Time
                   #     (Asia/Irkutsk)
  IRKT    28800    # Irkutsk Time
                   #     (Asia/Irkutsk)
+ IRST    12600    # Iran Standard Time
+                  #     (Asia/Tehran)
  IRT     12600    # Iran Time (not in zic)
  # CONFLICT! IST is not unique
  # Other timezones:
***************
*** 154,160 ****
  # - IST: Irish Summer Time (Europe)
  # - IST: Indian Standard Time (Asia)
  IST      7200    # Israel Standard Time
-                  #     (this time zone is not contained in the ZIC database)
  JAYT    32400    # Jayapura Time (Indonesia) (not in zic)
  JST     32400    # Japan Standard Time
                   #     (Asia/Tokyo)
--- 159,164 ----
diff -cr cvs/src/timezone/tznames/Australia.txt cvs.build/src/timezone/tznames/Australia.txt
*** cvs/src/timezone/tznames/Australia.txt	2006-07-25 15:49:21.000000000 +0200
--- cvs.build/src/timezone/tznames/Australia.txt	2009-05-10 23:23:02.000000000 +0200
***************
*** 25,30 ****
--- 25,32 ----
  CST     34200    # Central Standard Time (Australia)
                   #     (Australia/Adelaide)
                   #     (Australia/Broken_Hill)
+ CWST    31500    # Central Western Standard Time (Australia)
+                  #     (Australia/Eucla)
  # CONFLICT! EAST is not unique
  # Other timezones:
  #  - EAST: Easter Island Time (Chile) (Pacific)
diff -cr cvs/src/timezone/tznames/Default cvs.build/src/timezone/tznames/Default
*** cvs/src/timezone/tznames/Default	2009-05-10 19:53:20.000000000 +0200
--- cvs.build/src/timezone/tznames/Default	2009-05-10 22:58:29.000000000 +0200
***************
*** 283,288 ****
--- 283,289 ----
                   #     (Asia/Phnom_Penh)
                   #     (Asia/Saigon)
                   #     (Asia/Vientiane)
+ IDT     10800 D  # Israel Daylight Time
  IRKST   32400 D  # Irkutsk Summer Time
                   #     (Asia/Irkutsk)
  IRKT    28800    # Irkutsk Time
diff -cr cvs/src/timezone/tznames/Europe.txt cvs.build/src/timezone/tznames/Europe.txt
*** cvs/src/timezone/tznames/Europe.txt	2006-07-25 15:49:21.000000000 +0200
--- cvs.build/src/timezone/tznames/Europe.txt	2009-05-10 22:43:59.000000000 +0200
***************
*** 191,196 ****
--- 191,197 ----
  SAMT    14400    # Samara Time
                   #     (Europe/Samara)
  WEST     3600 D  # Western Europe Summer Time
+                  #     (Africa/Casablanca)
                   #     (Atlantic/Canary)
                   #     (Atlantic/Faeroe)
                   #     (Atlantic/Madeira)
diff -cr cvs/src/timezone/tznames/README cvs.build/src/timezone/tznames/README
*** cvs/src/timezone/tznames/README	2008-07-08 10:29:32.000000000 +0200
--- cvs.build/src/timezone/tznames/README	2009-05-10 23:30:24.000000000 +0200
***************
*** 23,27 ****
  For the time being you can always add your own set.
  
  The files named Africa.txt, etc, are not intended to be used directly as
! timezone abbreviation files.  They contain reference definitions of timezone
  names that can be copied into a custom abbreviation file as needed.
--- 23,36 ----
  For the time being you can always add your own set.
  
  The files named Africa.txt, etc, are not intended to be used directly as
! time zone abbreviation files. They contain reference definitions of time zone
  names that can be copied into a custom abbreviation file as needed.
+ 
+ Not that these files (*.txt) are already a subset of the zic timezone database
+ files: we tried to list only those time zones that (according to zic timezone
+ database) appear to be still in use.
+ 
+ Also we do not try to list as many time zones as possible in the `Default'
+ file. Initially the `Default' file was created with the time zones that had
+ been hard coded in the PostgreSQL source code previously.
+ 
